## mf2py 1.1.2

=== Makefile ===
all:
	pip install -r requirements.txt
test:
	nosetests

=== requirements.txt ===
# Keep in sync with setup.py's install_requires!
html5lib==1.0.1
nose==1.3.0
mock==1.3.0
lxml==4.2.4
requests==2.18.4
BeautifulSoup4==4.6.0
-e .

=== debian/changelog ===
mf2py (1.1.2-2) unstable; urgency=medium

  * Fix python waring "Did you mean "!="?"

 -- Christian Marillat <marillat@debian.org>  Thu, 10 Nov 2022 11:13:42 +0100

mf2py (1.1.2-1) unstable; urgency=medium

  * Initial release (Closes: #1022907)

 -- Christian Marillat <marillat@debian.org>  Fri, 28 Oct 2022 15:46:52 +0200

=== debian/control ===
Source: mf2py
Section: python
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://github.com/microformats/mf2py
Rules-Requires-Root: no
Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3,
 python3-setuptools

Package: python3-mf2py
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Microformats2 parser written in Python.
 Implements the full mf2 spec, including backward compatibility with
 microformats1.

=== debian/watch ===
version=4

https://github.com/microformats/mf2py/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## mf2py 1.1.3

=== requirements.txt ===
# Keep in sync with setup.py's install_requires!
html5lib==1.0.1
nose==1.3.7
mock==2.0.0
lxml==4.9.1
requests==2.21.0
BeautifulSoup4==4.6.3
-e .

=== debian/changelog ===
mf2py (1.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 28 Jun 2023 23:29:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://github.com/microformats/mf2py
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3,
  python3-setuptools

## mf2py 2.0.1

=== Makefile ===
install:
	poetry install
tests:
	poetry run pytest -s -vv --doctest-modules --doctest-glob README*
lint:
	poetry run black .
	poetry run isort .
docs_dev:
	poetry run mkdocs serve
docs_deploy:
	poetry run mkdocs gh-deploy
publish:
	poetry publish --build

=== debian/changelog ===
mf2py (2.0.1-2) unstable; urgency=medium

  * Add pybuild-plugin-pyproject to Build-Depends (Closes: 1058332)
  * Add python3-poetry to Build-Depends

 -- Christian Marillat <marillat@debian.org>  Tue, 12 Dec 2023 18:36:17 +0100

mf2py (2.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 08 Dec 2023 08:42:07 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3,
- python3-setuptools
+ python3-setuptools, pybuild-plugin-pyproject, python3-poetry
 
 Package: python3-mf2py
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mf2py

%:
	dh $@ -Spybuild

override_dh_clean:
	dh_clean .eggs/README.txt mf2py.egg-info/*

override_dh_auto_test:
